package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 生产准备任务主表
 * </p>
 *
 * @author Philip
 * @since 2021-06-23
 */

@TableName("Z_PROD_READY_TASK")

public class ProdReadyTask extends Model<ProdReadyTask> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 任务号
     */
   @TableField("TASK_NO")
   private String taskNo;
    /**
     * 派工任务handle
     */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 工序
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 步骤
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 物料
     */
   @TableField("ITEM")
   private String item;
    /**
     * 资源
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 检验结果
     */
   @TableField("RESULT")
   private String result;
    /**
     * 待准备、准备中、完成、取消
     */
   @TableField("STATUS")
   private String status;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 准备人
     */
   @TableField("READY_USER")
   private String readyUser;
    /**
     * 准备时间
     */
   @TableField("READY_DATE_TIME")
   private LocalDateTime readyDateTime;
    /**
     * 完成时间
     */
   @TableField("COMPLETE_DATE_TIME")
   private LocalDateTime completeDateTime;
    /**
     * 完成人
     */
   @TableField("COMPLETE_USER")
   private String completeUser;
    /**
     * 取消时间
     */
   @TableField("CANCEL_DATE_TIME")
   private LocalDateTime cancelDateTime;
    /**
     * 取消人
     */
   @TableField("CANCEL_USER")
   private String cancelUser;
    /**
     * 备注
     */
   @TableField("REMARKS")
   private String remarks;

   @TableField(exist = false)
   private String dispatchNo;

   @TableField(exist = false)
   private String sfcStepStatus;

   @TableField(exist = false)
   private String resourceType;

   @TableField(exist = false)
   private String planStartDate;

   @TableField(exist = false)
   private String resrceDesc;

   @TableField(exist = false)
   private String operationDesc;

   @TableField(exist = false)
   private String itemDesc;

   @TableField(exist = false)
   private String lastOperation;

   @TableField(exist = false)
   private String lastOperationStatus;

   @TableField(exist = false)
   private String employeeDescription;

   @TableField(exist = false)
   private List<ProdReadyTaskDetail> prodReadyTaskDetailList;

   @TableField(exist = false)
   private String workCenterDesc;

   @TableField(exist = false)
   private String blankingSize;

   @TableField(exist = false)
   private String matSpec;

   @TableField(exist = false)
   private String texture;

    @TableField(exist = false)
    private String prodHours;

    @TableField(exist = false)
    private String qty;

    public String getQty() {
        return qty;
    }

    public void setQty(String qty) {
        this.qty = qty;
    }

    public String getProdHours() {
        return prodHours;
    }

    public void setProdHours(String prodHours) {
        this.prodHours = prodHours;
    }

    public String getMatSpec() {
      return matSpec;
   }

   public void setMatSpec(String matSpec) {
      this.matSpec = matSpec;
   }

   public String getTexture() {
      return texture;
   }

   public void setTexture(String texture) {
      this.texture = texture;
   }

   public String getBlankingSize() {
      return blankingSize;
   }

   public void setBlankingSize(String blankingSize) {
      this.blankingSize = blankingSize;
   }

   public List<ProdReadyTaskDetail> getProdReadyTaskDetailList() {
      return prodReadyTaskDetailList;
   }

   public void setProdReadyTaskDetailList(List<ProdReadyTaskDetail> prodReadyTaskDetailList) {
      this.prodReadyTaskDetailList = prodReadyTaskDetailList;
   }

   public String getEmployeeDescription() {
      return employeeDescription;
   }

   public void setEmployeeDescription(String employeeDescription) {
      this.employeeDescription = employeeDescription;
   }

   public String getLastOperation() {
      return lastOperation;
   }

   public void setLastOperation(String lastOperation) {
      this.lastOperation = lastOperation;
   }

   public String getLastOperationStatus() {
      return lastOperationStatus;
   }

   public void setLastOperationStatus(String lastOperationStatus) {
      this.lastOperationStatus = lastOperationStatus;
   }

   public String getDispatchNo() {
      return dispatchNo;
   }

   public void setDispatchNo(String dispatchNo) {
      this.dispatchNo = dispatchNo;
   }

   public String getSfcStepStatus() {
      return sfcStepStatus;
   }

   public void setSfcStepStatus(String sfcStepStatus) {
      this.sfcStepStatus = sfcStepStatus;
   }

   public String getResourceType() {
      return resourceType;
   }

   public void setResourceType(String resourceType) {
      this.resourceType = resourceType;
   }

   public String getPlanStartDate() {
      return planStartDate;
   }

   public void setPlanStartDate(String planStartDate) {
      this.planStartDate = planStartDate;
   }

   public String getResrceDesc() {
      return resrceDesc;
   }

   public void setResrceDesc(String resrceDesc) {
      this.resrceDesc = resrceDesc;
   }

   public String getOperationDesc() {
      return operationDesc;
   }

   public void setOperationDesc(String operationDesc) {
      this.operationDesc = operationDesc;
   }

   public String getItemDesc() {
      return itemDesc;
   }

   public void setItemDesc(String itemDesc) {
      this.itemDesc = itemDesc;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getTaskNo() {
      return taskNo;
   }

   public void setTaskNo(String taskNo) {
      this.taskNo = taskNo;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getReadyUser() {
      return readyUser;
   }

   public void setReadyUser(String readyUser) {
      this.readyUser = readyUser;
   }

   public LocalDateTime getReadyDateTime() {
      return readyDateTime;
   }

   public void setReadyDateTime(LocalDateTime readyDateTime) {
      this.readyDateTime = readyDateTime;
   }

   public LocalDateTime getCompleteDateTime() {
      return completeDateTime;
   }

   public void setCompleteDateTime(LocalDateTime completeDateTime) {
      this.completeDateTime = completeDateTime;
   }

   public String getCompleteUser() {
      return completeUser;
   }

   public void setCompleteUser(String completeUser) {
      this.completeUser = completeUser;
   }

   public LocalDateTime getCancelDateTime() {
      return cancelDateTime;
   }

   public void setCancelDateTime(LocalDateTime cancelDateTime) {
      this.cancelDateTime = cancelDateTime;
   }

   public String getCancelUser() {
      return cancelUser;
   }

   public void setCancelUser(String cancelUser) {
      this.cancelUser = cancelUser;
   }

   public String getRemarks() {
      return remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String TASK_NO = "TASK_NO";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String SFC = "SFC";

public static final String OPERATION = "OPERATION";

public static final String STEP_ID = "STEP_ID";

public static final String ITEM = "ITEM";

public static final String RESRCE = "RESRCE";

public static final String RESLUT = "RESLUT";

public static final String STATUS = "STATUS";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String READY_USER = "READY_USER";

public static final String READY_DATE_TIME = "READY_DATE_TIME";

public static final String COMPLETE_DATE_TIME = "COMPLETE_DATE_TIME";

public static final String COMPLETE_USER = "COMPLETE_USER";

public static final String CANCEL_DATE_TIME = "CANCEL_DATE_TIME";

public static final String CANCEL_USER = "CANCEL_USER";

public static final String REMARKS = "REMARKS";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ProdReadyTask{" +
         "handle = " + handle +
         ", site = " + site +
         ", taskNo = " + taskNo +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", shopOrder = " + shopOrder +
         ", workCenter = " + workCenter +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", item = " + item +
         ", resrce = " + resrce +
         ", result = " + result +
         ", status = " + status +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", readyUser = " + readyUser +
         ", readyDateTime = " + readyDateTime +
         ", completeDateTime = " + completeDateTime +
         ", completeUser = " + completeUser +
         ", cancelDateTime = " + cancelDateTime +
         ", cancelUser = " + cancelUser +
         ", remarks = " + remarks +
         "}";
   }

   public void setWorkCenterDesc(String workCenterDesc) {
      this.workCenterDesc = workCenterDesc;
   }

   public String getWorkCenterDesc() {
      return workCenterDesc;
   }
}